package user

import (
	"git.echol.cn/loser/lckt/middleware"
	"github.com/gin-gonic/gin"
)

type UserRouter struct{}

// InitUserRouter 初始化 用户相关 路由信息
func (s *UserRouter) InitUserRouter(Router *gin.RouterGroup, PublicRouter *gin.RouterGroup) {
	userRouter := Router.Group("app_user").Use(middleware.OperationRecord())
	userRouterWithoutAuth := PublicRouter.Group("app_user")
	{
		userRouter.GET("list", userApi.GetUserList)      // 获取用户列表
		userRouter.PUT("setBalance", userApi.SetBalance) // 更新用户余额
	}
	{
		userRouterWithoutAuth.DELETE("login", userApi.Login) // 短信验证码登录
		userRouterWithoutAuth.POST("sms", userApi.SendCode)  // 发送短信验证码
	}

}
